Bug 962577 - Make an unique reference to gatein.jcr.jgroups.config
Make an unique reference to gatein.jcr.jgroups.config
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: ER01
: 6.2.0
Assigned To: Lucas Ponce
Triage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 19:16 EDT by William Antônio
Modified: 2014-09-14 20:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Antônio 2013-05-13 19:16:02 EDT
Description of problem:

We would like to refer an external final for gatein.jcr.jgroups.config, the jgroups configuration.

Change the declared variable in $CONF/conf/gatein/configuration.properties isn't enough, we also have other references to the jgroups configuration:

[wsiqueir@wsiqueir gatein]$ grep 'gatein-${gatein.default.jgroups.stack:udp}.xml' . -r
./gatein.ear/portal.war/WEB-INF/conf/jbosscache/cluster/config.xml:    <jgroupsConfig configFile="jgroups/gatein-${gatein.default.jgroups.stack:udp}.xml"/>
./gatein.ear/portal.war/WEB-INF/conf/jcr/jbosscache/cluster/config_portal-system.xml:    <jgroupsConfig configFile="jgroups/gatein-${gatein.default.jgroups.stack:udp}.xml"/>
./gatein.ear/portal.war/WEB-INF/conf/jcr/jbosscache/cluster/indexer-config.xml:    <jgroupsConfig configFile="jgroups/gatein-${gatein.default.jgroups.stack:udp}.xml"/>
./gatein.ear/portal.war/WEB-INF/conf/jcr/jbosscache/cluster/lock-config.xml:    <jgroupsConfig configFile="jgroups/gatein-${gatein.default.jgroups.stack:udp}.xml"/>
./gatein.ear/portal.war/WEB-INF/conf/jcr/jbosscache/cluster/config.xml:    <jgroupsConfig configFile="jgroups/gatein-${gatein.default.jgroups.stack:udp}.xml"/>


This bugzilla aims to propose to use only the parameter gatein.jcr.jgroups.config to refer to the gatein jgroups config file.
Comment 3 Lucas Ponce 2014-02-18 05:44:38 EST
JBoss Portal 6.1.1 and previous ones uses Infinispan and JBoss Cache for some internal components.

This coexistence needed two version of JGroups (v2 and v3)and this means two configuration location.

JBoss Portal 6.2 will unify this dependency using Infinispan and having only JGroups v3 configuration located in 

gatein.jcr.jgroups.config=classpath:/jgroups/gatein-${gatein.default.jgroups.stack:udp}.xml

under gatein/configuration.properties

So, no more deal with two JGroups configuration files.

I think this change can match with request from this BZ as configuration will be unified.
Comment 4 dereed 2014-02-18 11:46:33 EST
That's definitely a step in the right direction.

The end goal should be to use the JGroups subsystem from EAP, configured in standalone.xml/domain.xml.
Comment 5 mgottval 2014-04-24 07:18:10 EDT
Verified in JPP 6.2.ER1

Note You need to log in before you can comment on or make changes to this bug.